spring.h2.console.enabled: true
spring.datasource.url: jdbc:h2:file:./db.h2
spring.jpa.generate-ddl: true
spring.jpa.hibernate.ddl-auto: update
server.error.include-message=: always
http.port: 8181
server:
  port: 8443
  ssl:
    enabled: true
    key-store: classpath:libraryapi.isep.ipp.pt.jks
    key-store-password: changeit
    key-store-type: JKS
    key-alias: mbupdater.tip.ubiquity.pt
    key-password: changeit
logging.level.org.hibernate.SQL: "${LOGGING_LEVEL_PROJECT:ERROR}"
#elasticsearch.clustername: docker-cluster
#elasticsearch.host: "${ELASTIC_SERVER:localhost}"
#elasticsearch.port: 9200
spring.elasticsearch.rest.uris: "localhost:9200"
spring.elasticsearch.rest.connection-timeout: 2s
spring.elasticsearch.rest.read-timeout: 1m
#### CONFIG's for docker
#elasticsearch.clustername: es01
#elasticsearch.host: "${ELASTIC_SERVER:es01}"
#elasticsearch.port: 9300
#spring.elasticsearch.rest.uris: "${ELASTIC_SERVER:'localhost:9200'}"


